import { TerraformModule, TerraformModuleUserConfig } from 'cdktf';
import { Construct } from 'constructs';
export interface MetaflowCommonConfig extends TerraformModuleUserConfig {
}
/**
 * Defines an MetaflowCommon based on a Terraform module
 *
 * Docs at Terraform Registry: {@link https://registry.terraform.io/modules/outerbounds/metaflow/aws/~> 0.9.4/submodules/common outerbounds/metaflow/aws//modules/common}
 */
export declare class MetaflowCommon extends TerraformModule {
    private readonly inputs;
    constructor(scope: Construct, id: string, config?: MetaflowCommonConfig);
    get defaultMetadataServiceContainerImageOutput(): string;
    get defaultUiStaticContainerImageOutput(): string;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
